Package org.apache.lucene.analysis.ja.tokenattributes

## Class ReadingAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.analysis.ja.tokenattributes.ReadingAttributeImpl

- All Implemented Interfaces:
    `Cloneable`, `ReadingAttribute`, `Attribute`

      public class ReadingAttributeImpl
      extends AttributeImpl
      implements ReadingAttribute

  Attribute for Kuromoji reading data

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadingAttributeImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `void` | `copyTo​(AttributeImpl target)` |
    `String` | `getPronunciation()` |
    `String` | `getReading()` |
    `void` | `reflectWith​(AttributeReflector reflector)` |
    `void` | `setToken​(Token token)` |

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `clone, end, reflectAsString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadingAttributeImpl

          public ReadingAttributeImpl()

  - ### Method Detail

    - #### getReading

          public String getReading()

      Specified by:
        `getReading` in interface `ReadingAttribute`

    - #### getPronunciation

          public String getPronunciation()

      Specified by:
        `getPronunciation` in interface `ReadingAttribute`

    - #### setToken

          public void setToken​(Token token)

      Specified by:
        `setToken` in interface `ReadingAttribute`

    - #### clear

          public void clear()

      Specified by:
        `clear` in class `AttributeImpl`

    - #### copyTo

          public void copyTo​(AttributeImpl target)

      Specified by:
        `copyTo` in class `AttributeImpl`

    - #### reflectWith

          public void reflectWith​(AttributeReflector reflector)

      Specified by:
        `reflectWith` in class `AttributeImpl`